about summary refs log tree commit homepage
tag namev0.99.0 (70cc3d3b8738ecc8f8f4da3e0ffc29e5bb971b5b)
tag date2010-05-06 19:32:14 +0000
tagged byEric Wong <normalperson@yhbt.net>
tagged objectcommit 9fc6c29e79...
unicorn 0.99.0 - simplicity wins
Starting with this release, we'll always load Rack up front at
startup.

Previously we had complicated ways to avoid loading Rack until
after the application was loaded to allow the application to
load an alternate version of Rack.  However this has proven too
error-prone to be worth supporting even though Unicorn does not
have strict requirements on currently released Rack versions.

If an app requires a different version of Rack than what Unicorn
would load by default, it is recommended they only install that
version of Rack (and no others) since Unicorn does not have any
strict requirements on currently released Rack versions.

Rails 2.3.x users should be aware of this as those versions are
not compatible with Rack 1.1.0.

If it is not possible to only have one Rack version installed
"globally", then they should either use Isolate or Bundler and
install a private version of Unicorn along with their preferred
version of Rack.  Users who install in this way are recommended
to execute the isolated/bundled version of Unicorn, instead of
what would normally be in $PATH.

Feedback/tips to mailto:mongrel-unicorn@rubyforge.org from
Isolate and Bundler users would be greatly appreciated.